%Ginters Buss 2011
%There is a more advanced periodogram version in Scilab (search help)
%Periodogram(x) = (abs(dft(x,-1)))^2
% but it is symmetric, so need just a half of it

%This might be a function but it is not this time 
%    y=per(x)
%    len=length(x)
%    y=abs(fft(x)).^2
%    y=y(1:len/2+1)

%Example
%x=rand(50,1)
%plot(per(x))

%Wildi periodogram translated from R (use this one)
% x must be column vector
function spect=per(x)
    len=length(x);
    spect=[0:len/2]';
    for k=0:len/2
        cexp=exp(1i*[1:len]'*2*pi*k/len);
        four=sum(cexp.*x*sqrt(1/(2*pi*len)));
        spect(k+1)=abs(four)^2;
    end


