function [F,Lambda,eigval]=principal_components(X,r)

%[F,Lambda,eigval]=principal_components(X,r)
%author/reference?

[T,N]=size(X);
Sigma_X=X'*X/(T-1);
[eigvec, eigval_full]=eig(Sigma_X);
[eigval_full, index]=sort(diag(eigval_full));
index=flipud(index);
Lambda=eigvec(:,index(1:r)')*sqrt(N);
F=X*Lambda/N;
eigval=eigval_full(index(1:r));