function [out_num,out_date] = day2m(num,dates)
% function [out_num,out_date] = day2m(num,dates)
% num - nx1 vector of values
% dates - nx1 cell vector of dates in the form dd.mm.yy
% out_num - mx1 monthly series
% out_date - mx1 monthly dates
% ginters buss 2013

mdates = cell(length(dates),1);
numdates = nan(length(dates),1);
numdates(1)=1;
jjj=1;
for ii=1:length(dates)
    dates_ii = dates{ii};
    mdates{ii} = dates_ii(4:end);
    if (ii>1) && isequal(mdates{ii},mdates{ii-1})
        numdates(ii)=jjj;
    elseif (ii>1) && ~isequal(mdates{ii},mdates{ii-1})
        jjj=jjj+1;
        numdates(ii) = jjj;
    end
end

out_num=nan(max(numdates),1);
out_date=cell(max(numdates),1);

for iii = 1:max(numdates)
    out_num(iii) = nanmean(num(numdates==iii));
    tempdates = mdates(numdates==iii);
    out_date{iii} = tempdates{1};
end
















