function [X_sa]=seasonal_adjustment(X,type)

% Seasonal adjustment by X12-ARIMA ------------------------

Nx=size(X,2);
X_sa=[];

for j=1:Nx
    if type(3,j)==1
        if type(1,j)==1
            arima={'skip'};
            forecast={'skip'};
            regression={'skip'};
            transform={'function=log'};
            x11={'mode=mult','seasonalma=msr'}; %msr
            x11regression={'skip'};
        else
            arima={'skip'};
            forecast={'skip'};
            regression={'skip'};
            transform={'function=none'};
            x11={'mode=add','seasonalma=msr'}; %msr
            x11regression={'skip'};
        end
        X_sa=[X_sa, x12(X(:,j),'M','1996.1','Off',arima,forecast,regression,transform,x11,x11regression)];    
    else
        X_sa=[X_sa, X(:,j)];
    end
end



