function [x_transformed,x_mean,x_std]=transformation_nsa(X,type)

Nx=size(X,2);

% Take difference and log-difference of SA -------------------

dX=[];
ddX=[];


for column=1:Nx
    if type(1,column)==1, Xlog=log(X(:,column)); else Xlog=X(:,column); end
    if type(2,column)==1, dX=Xlog(2:end)-Xlog(1:end-1); else dX=Xlog(2:end); end
    if type(4,column)==1, ddX=[ddX, dX(5:end)-dX(1:end-4)]; else ddX=[ddX, dX(5:end)]; end
 
       
end


%{
for column=find(type(1,:))
    Xlog=log(X(:,column));
end
for column=find(~type(1,:))
    Xlog=X(:,column);
end

for column=find(type(2,:))
    dX=Xlog(2:end)-Xlog(1:end-1);
end
for column=find(~type(2,:))
    dX=Xlog(2:end);
end

for column=find(type(4,:))
    ddX=[ddX, dX(5:end)-dX(1:end-4)];
end
for column=find(~type(4,:))
    ddX=[ddX, dX(5:end)]; 
end
%}

% Normalize data ---------------------------------------------

[x_transformed,x_mean,x_std]=normalization(ddX);


